Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v3
Class GetPatientRequest

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v3.GetPatientRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:44:56+01:00",
               comments="JAXB RI v2.2.11")
    public class GetPatientRequest

extends Object
implements Serializable

Java class for GetPatientRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetPatientRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v3}RequestType"/>
             <element name="select" type="{http://www.ehealth.fgov.be/hubservices/core/v3}SelectGetPatientType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetPatientRequest()`

Method Summary
`RequestType` | `getRequest()` Gets the value of the request property.
`SelectGetPatientType` | `getSelect()` Gets the value of the select property.
`void` | `setRequest(RequestType value)` Sets the value of the request property.
`void` | `setSelect(SelectGetPatientType value)` Sets the value of the select property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetPatientRequest

    public GetPatientRequest()

Method Detail

### getRequest

    public RequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestType`

### setRequest

    public void setRequest(RequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestType`

### getSelect

    public SelectGetPatientType getSelect()

  Gets the value of the select property.

  Returns:
    possible object is `SelectGetPatientType`

### setSelect

    public void setSelect(SelectGetPatientType value)

  Sets the value of the select property.

  Parameters:
    `value` - allowed object is `SelectGetPatientType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.